class FlisolSort::Loader
  def initialize file, columns
    @file = file
    @columns = columns
  end

  def load
    participants = []

    CSV.foreach @file, :headers => true do |row|
      participants << self.class.row_to_hash(row, @columns)
    end

    participants
  end

  private

  def self.row_to_hash row, columns
    participant = {}
    columns.each do |col|
      participant[header_converter(col)] = row[col]
    end
    participant
  end

  def self.header_converter header
    header.downcase.split(' ').join('_').to_sym
  end
end
